package com.bocloud.ims.service.model;

import java.util.List;

public class OpenstackPlat {

	private List<StatsResult> hosts; // 宿主机数据
	private List<StatsResult> vms;// 虚拟机数据
	private Double cpu; // cpu使用率
	private Double mem; // 内存使用率
	private Double disk; // 磁盘使用率
	private Integer cpuNum;
	private Integer memNum;
	private Integer diskNum;

	/**
	 * @return the hosts
	 */
	public List<StatsResult> getHosts() {
		return hosts;
	}

	/**
	 * @param hosts
	 *            the hosts to set
	 */
	public void setHosts(List<StatsResult> hosts) {
		this.hosts = hosts;
	}

	/**
	 * @return the vms
	 */
	public List<StatsResult> getVms() {
		return vms;
	}

	/**
	 * @param vms
	 *            the vms to set
	 */
	public void setVms(List<StatsResult> vms) {
		this.vms = vms;
	}

	/**
	 * @return the cpu
	 */
	public Double getCpu() {
		return cpu;
	}

	/**
	 * @param cpu
	 *            the cpu to set
	 */
	public void setCpu(Double cpu) {
		this.cpu = cpu;
	}

	/**
	 * @return the mem
	 */
	public Double getMem() {
		return mem;
	}

	/**
	 * @param mem
	 *            the mem to set
	 */
	public void setMem(Double mem) {
		this.mem = mem;
	}

	/**
	 * @return the disk
	 */
	public Double getDisk() {
		return disk;
	}

	/**
	 * @param disk
	 *            the disk to set
	 */
	public void setDisk(Double disk) {
		this.disk = disk;
	}

	/**
	 * @return the cpuNum
	 */
	public Integer getCpuNum() {
		return cpuNum;
	}

	/**
	 * @param cpuNum
	 *            the cpuNum to set
	 */
	public void setCpuNum(Integer cpuNum) {
		this.cpuNum = cpuNum;
	}

	/**
	 * @return the memNum
	 */
	public Integer getMemNum() {
		return memNum;
	}

	/**
	 * @param memNum
	 *            the memNum to set
	 */
	public void setMemNum(Integer memNum) {
		this.memNum = memNum;
	}

	/**
	 * @return the diskNum
	 */
	public Integer getDiskNum() {
		return diskNum;
	}

	/**
	 * @param diskNum
	 *            the diskNum to set
	 */
	public void setDiskNum(Integer diskNum) {
		this.diskNum = diskNum;
	}

	public OpenstackPlat() {
		super();
	}

	public OpenstackPlat(List<StatsResult> hosts, List<StatsResult> vms, Double cpu, Double mem, Double disk) {
		super();
		this.hosts = hosts;
		this.vms = vms;
		this.cpu = cpu;
		this.mem = mem;
		this.disk = disk;
	}

	public OpenstackPlat(List<StatsResult> hosts, List<StatsResult> vms, Double cpu, Double mem, Double disk,
			Integer cpuNum, Integer memNum, Integer diskNum) {
		super();
		this.hosts = hosts;
		this.vms = vms;
		this.cpu = cpu;
		this.mem = mem;
		this.disk = disk;
		this.cpuNum = cpuNum;
		this.memNum = memNum;
		this.diskNum = diskNum;
	}

}
